Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## codeanticode.proscene
Enum PScene.KeyboardAction

    java.lang.Object
      java.lang.Enum<PScene.KeyboardAction>
          codeanticode.proscene.PScene.KeyboardAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PScene.KeyboardAction>

Enclosing class:
  PScene

    public static enum PScene.KeyboardAction

extends java.lang.Enum<PScene.KeyboardAction>

Enum Constant Summary
`ANIMATION`
`CAMERA_MODE`
`DECREASE_FLYSPEED`
`DISPLAY_FPS`
`DRAW_AXIS`
`DRAW_GRID`
`EDIT_CAMERA`
`ENABLE_TEXT`
`EXIT_VIEWER`
`FULL_SCREEN`
`HELP`
`INCREASE_FLYSPEED`
`MOVE_CAMERA_DOWN`
`MOVE_CAMERA_LEFT`
`MOVE_CAMERA_RIGHT`
`MOVE_CAMERA_UP`
`SAVE_SCREENSHOT`
`SNAPSHOT_TO_CLIPBOARD`
`STEREO`

Method Summary
`static PScene.KeyboardAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PScene.KeyboardAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DRAW_AXIS

    public static final PScene.KeyboardAction DRAW_AXIS

### DRAW_GRID

    public static final PScene.KeyboardAction DRAW_GRID

### DISPLAY_FPS

    public static final PScene.KeyboardAction DISPLAY_FPS

### ENABLE_TEXT

    public static final PScene.KeyboardAction ENABLE_TEXT

### EXIT_VIEWER

    public static final PScene.KeyboardAction EXIT_VIEWER

### SAVE_SCREENSHOT

    public static final PScene.KeyboardAction SAVE_SCREENSHOT

### CAMERA_MODE

    public static final PScene.KeyboardAction CAMERA_MODE

### FULL_SCREEN

    public static final PScene.KeyboardAction FULL_SCREEN

### STEREO

    public static final PScene.KeyboardAction STEREO

### ANIMATION

    public static final PScene.KeyboardAction ANIMATION

### HELP

    public static final PScene.KeyboardAction HELP

### EDIT_CAMERA

    public static final PScene.KeyboardAction EDIT_CAMERA

### MOVE_CAMERA_LEFT

    public static final PScene.KeyboardAction MOVE_CAMERA_LEFT

### MOVE_CAMERA_RIGHT

    public static final PScene.KeyboardAction MOVE_CAMERA_RIGHT

### MOVE_CAMERA_UP

    public static final PScene.KeyboardAction MOVE_CAMERA_UP

### MOVE_CAMERA_DOWN

    public static final PScene.KeyboardAction MOVE_CAMERA_DOWN

### INCREASE_FLYSPEED

    public static final PScene.KeyboardAction INCREASE_FLYSPEED

### DECREASE_FLYSPEED

    public static final PScene.KeyboardAction DECREASE_FLYSPEED

### SNAPSHOT_TO_CLIPBOARD

    public static final PScene.KeyboardAction SNAPSHOT_TO_CLIPBOARD

Method Detail

### values

    public static PScene.KeyboardAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PScene.KeyboardAction c : PScene.KeyboardAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PScene.KeyboardAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008